org.omg.PortableServer.POAPackage

## Class ObjectNotActiveHelper

- java.lang.Object
- - org.omg.PortableServer.POAPackage.ObjectNotActiveHelper

    public abstract class ObjectNotActiveHelper
    extends Object

org/omg/PortableServer/POAPackage/ObjectNotActiveHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-Ya7k6D/openjdk-8-8u502-ga~us1/src/corba/src/share/classes/org/omg/PortableServer/poa.idl Friday, July 24, 2026 5:14:05 PM UTC

### Constructor Summary

Constructors
Constructor and Description
`ObjectNotActiveHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ObjectNotActive` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, ObjectNotActive that)`
`static ObjectNotActive` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, ObjectNotActive value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectNotActiveHelper

    public ObjectNotActiveHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              ObjectNotActive that)

#### extract

    public static ObjectNotActive extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static ObjectNotActive read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             ObjectNotActive value)